Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IOP::ServiceContextList Class Reference

`#include <IOP_IORC.h>`

Inheritance diagram for IOP::ServiceContextList:

[legend]
Collaboration diagram for IOP::ServiceContextList:

[legend]
List of all members.

## Public Types
typedef ServiceContextList_var | _var_type
## Public Methods
| ServiceContextList (void)
| ServiceContextList (CORBA::ULong max)
| ServiceContextList (CORBA::ULong max, CORBA::ULong length, ServiceContext *buffer, CORBA::Boolean release=0)
| ServiceContextList (const ServiceContextList &)
| ~ServiceContextList (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ServiceContextList_var IOP::ServiceContextList::_var_type

## Constructor & Destructor Documentation

IOP::ServiceContextList::ServiceContextList | ( | void |  | ) |

IOP::ServiceContextList::ServiceContextList | ( | CORBA::ULong | max | ) |

IOP::ServiceContextList::ServiceContextList | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | ServiceContext * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

IOP::ServiceContextList::ServiceContextList | ( | const ServiceContextList & |  | ) |

IOP::ServiceContextList::~ServiceContextList | ( | void |  | ) |

## Member Function Documentation

void IOP::ServiceContextList::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- IOP_IORC.h
- IOP_IORC.cpp